File planner.changes of Package planner

-------------------------------------------------------------------
Mon Dec 16 18:33:17 UTC 2013 - zaitor@opensuse.org

- Exchange scrollkeeper BuildRequires for
  rarian-scrollkeeper-compat. Scrollkeeper was dropped from
  distribution.
- Stop rm -r %{buildroot}%{_localstatedir}/scrollkeeper, after the
  switch to rarian-scrollkeper-compat it does not exist any more. 

-------------------------------------------------------------------
Thu Mar 14 12:06:16 UTC 2013 - dimstar@opensuse.org

- Disable long obsoleted libgda component:
  + Remove libgda-3_0-devel BuildRequires.
  + Change --with-database=auto configure parameter to =no.
  + Add libxslt-devel BuildRequires, which used to be pulled in by
    libgda-3_0-devel before.

-------------------------------------------------------------------
Tue Feb 26 21:51:58 UTC 2013 - dimstar@opensuse.org

- Drop explicit Requires from planner-devel: gconf2-devel,
  glib2-devel, gnome-vfs2-devel, libgsf-devel, libxml2-devel: if
  they were needed, they would be pulled in by pkgconfig()-style
  requires.

-------------------------------------------------------------------
Mon Dec 17 19:35:28 UTC 2012 - dimstar@opensuse.org

- Add build_eds defines, set to openSUSE <= 1220 (last version we
  had a compatible evolution version).
- If build_eds evaluates to false, then:
  + Pass --disable-eds to configure
  + Don't create the evolution subpackage
  + Obsolete the evolution subpackage from the main package.
  else pass --enable-eds to configure.
- Drop xz BuildRequires as it now comes for free in the build
  system.

-------------------------------------------------------------------
Thu Aug  9 08:09:04 UTC 2012 - dimstar@opensuse.org

- Add planner-libgnome.patch: link libsql-plugin to libgnome
  (bnc#775189).
- Add gnome-common BuildRequires and call gnome-autogen.sh, as
  above patch touches the build system.

-------------------------------------------------------------------
Wed Aug  8 08:28:07 UTC 2012 - dimstar@opensuse.org

- Add planner-cmdline.patch: Fix for broken "open file on startup"
  behaviour (bnc#774972, bgo#656373).

-------------------------------------------------------------------
Sat Dec 31 15:25:47 CET 2011 - zaitor@opensuse.org

- Update to version 0.14.6:
  + Fixed compilation with --with-database.
  + Several warnings fixed.
  + Got rid of AM_MAINTAINER_MODE.
  + Got rid of some deprecated code.
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.

-------------------------------------------------------------------
Mon Oct  3 07:42:21 UTC 2011 - vuntz@opensuse.org

- Add explicit shared-mime-info BuildRequires since we use the
  %mime_database_* macros.

-------------------------------------------------------------------
Tue Jul  5 09:19:52 CEST 2011 - vuntz@opensuse.org

- Update to version 0.14.5:
  + Minor build enhancements, gnome-common is now needed to build
  + Many memory leaks got fixed (bgo#334114, bgo#596746)
  + Some deprecated code got updated (bgo#349304, bgo#536416,
    bgo#584009, bgo#590485, bgo#613623)
  + Bugs fixed:
    - Crash when exporting HTML
    - Prevent changing order of resources on load/save
    - Crash when using zoom-to-fit (bgo#550559)
    - Assigned resources information shown in HTML export
      (bgo#308064)
    - Maximum percent complete stuck at 75% (bgo#580216)
    - Error when opening files with colon in path (bgo#602427)
    - Allow scrolling in Gantt and resource usage (bgo#604355)
    - Show date in status bar (bgo#604515)
  + Updated translations.
- Drop planner-fix-build.patch: fixed upstream.
- Do not add Office and ProjectManagement categories to
  planner.desktop as those are already there.

-------------------------------------------------------------------
Mon Feb 14 19:49:23 CET 2011 - sbrabec@suse.cz

- Added support for translation-update-upstream.

-------------------------------------------------------------------
Sat Feb 12 19:46:15 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %desktop_database_post/postun because the package ships at
    least one desktop file.
  + %icon_theme_cache_post/postun because the package ships themed
    icons.
  + %mime_database_post/postun because the package ships a mime
    type definition.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.

-------------------------------------------------------------------
Sat Sep 11 00:52:39 CEST 2010 - vuntz@opensuse.org

- Do not build the eds backend on 11.4 and later, since it fails to
  build there. There's no patch upstream to fix this,
  unfortunately.
- Also add missing libglade2-devel BuildRequires, that was brought
  implicitly by evolution-devel.

-------------------------------------------------------------------
Fri Jan 22 13:50:36 CET 2010 - vuntz@opensuse.org

- Add planner-fix-build.patch to fix build with latest
  evolution-data-server: we need to manually require libgnome-2.0.
- Version the Obsoletes of mrproject to avoid self-obsoletion.
- Update description of packages.

-------------------------------------------------------------------
Thu Apr 16 16:38:47 CEST 2009 - vuntz@novell.com

- Update to version 0.14.4:
  + Rewrote printing to use the GTK printing API, fixing most
    problems with printing on Windows
  + Added display of minutes to duration format
  + Added creation of Windows installer to Makefiles
  + Dropped support for libgda < 3.0
  + Added proper quoting to SQL code (bgo#168147, bgo#571801)
  + Fixed alignment problems in HTML export (bgo#471218,
    bgo#478027)
  + Fixed a crash in UNDO/REDO code (#420443)
  + Fixed several issues with the build (bgo#528582, bgo#528971,
    bgo#529045, bgo#539993)
  + Updated translations.
- Drop planner-desktop.patch: we already do this via
  suse_update_desktop_file.
- Drop planner-evolution.patch, planner-e_utf8.patch,
  planner-python-util.patch, configure.patch: not needed anymore.
- Drop planner-bgo539993-buildfix.patch: fixed upstream.
- Remove unneeded BuildRequires: gnome-common,
  libgnomeprintui-devel, libgsf-devel, libidl-devel, libwnck-devel,
  mozilla-nss-devel, perl-XML-Parser
- Do not call autoreconf and intltoolize anymore.
- Fix configure flag for libgda from --enable-database to
  --with-database.
- Re-enable the use of evolution-data-server (via configure), and
  create a planner-evolution package to not have planner always
  depend on evolution (instead of using some hack).
- Re-enable parallel build.
- Remove check for old version of openSUSE. 
- Merge doc package in devel package since it only provided gtk-doc
  files.
- Do not package omf files twice.
- Rework the package list.

-------------------------------------------------------------------
Tue Feb 10 16:13:52 CET 2009 - vuntz@novell.com

- Use sr@latin instead of sr@Latn.

-------------------------------------------------------------------
Fri Feb  6 02:08:56 EST 2009 - hfiguiere@suse.de

- BuildRequires on libgda-3_0-devel.

-------------------------------------------------------------------
Wed Jan 28 23:57:20 CET 2009 - vuntz@novell.com

- BuildRequires on libgda-4_0-devel.

-------------------------------------------------------------------
Sat Jan 17 04:07:26 CET 2009 - crrodriguez@suse.de

- remove "la" files 

-------------------------------------------------------------------
Tue Nov 11 17:19:45 CET 2008 - ro@suse.de

- really comment out unused triggers 

-------------------------------------------------------------------
Fri Oct  3 15:38:40 CEST 2008 -  vuntz@novell.com

- Fix build:
  + Add planner-bgo539993-buildfix.patch taken from upstream svn.
  + Remove planner-gda3.patch which doesn't apply and isn't needed
    anymore.
  + Refresh configure.patch to remove unneeded gda changes.
  + Refresh planner-evolution.patch.

-------------------------------------------------------------------
Fri Sep 12 01:26:24 CDT 2008 - maw@suse.de

- Update to version 0.14.3:
  + Added support for version 3 of libgda, the database access
    library
  + Added internationalization (I18N) support for HTML export
  + Allow dragging of completion bar in Gantt chart
  + Allow dragging of task duration in Gantt beyond the window
     size
  + % Complete column added to task and Gantt view
  + Show guide lines setting is now persistent
  + Bugs fixed: bgo#332748, bgo#337382, bgo#345163, bgo#373008,
    bgo#382548, bgo#388454, bgo#393620, bgo#397132, bgo#436263,
    bgo#464359, bgo#486990, and bgo#499090
  + Updated translations.

-------------------------------------------------------------------
Thu Mar  6 19:34:45 CET 2008 - maw@suse.de

- Fix the build when against newer versions of intltool.

-------------------------------------------------------------------
Thu Jan 31 15:05:05 CET 2008 - sbrabec@suse.cz

- Devhelp documentation moved to the separate package (bnc#248813).

-------------------------------------------------------------------
Thu Oct 18 17:13:01 CEST 2007 - sbrabec@suse.cz

- Build with libgda-3.

-------------------------------------------------------------------
Thu Oct 11 16:39:38 CEST 2007 - sbrabec@suse.cz

- Removed bogus dependency on mDNSResponder.

-------------------------------------------------------------------
Fri Aug 10 16:40:20 CEST 2007 - coolo@suse.de

- define Version before the use of %version

-------------------------------------------------------------------
Tue Aug  7 18:55:13 CEST 2007 - maw@suse.de

- Split off a -lang subpackage
- s#%run_ldconfig#/sbin/ldconfig# in %post and %postun.

-------------------------------------------------------------------
Thu Jul 26 22:43:58 CEST 2007 - maw@suse.de

- Update to version 0.14.2:
  + Fixes for bugzilla.gnome.org bugs fixed: #353232, #368186,
    #353213, and #358415
  + Minor build changes
  + Updated translations
- Add evolution-data-server-devel, fdupes, libgnomecanvas-devel,
  libgnomeui-devel, and libgnomeprintui-devel as build requirements
- Add configure.patch
- Use fdupes
- For the present, don't build the evolution backend.

-------------------------------------------------------------------
Fri Apr 27 12:32:13 CEST 2007 - sbrabec@suse.cz

- Do not call meinproc (#227624).

-------------------------------------------------------------------
Mon Mar 19 14:01:18 CET 2007 - sbrabec@suse.cz

- Build with evolution-2.10.

-------------------------------------------------------------------
Mon Feb 19 17:37:06 CET 2007 - sbrabec@suse.cz

- Fixed broken scriptlets.

-------------------------------------------------------------------
Thu Jan  4 17:43:48 CET 2007 - sbrabec@suse.cz

- Build correctly in older products.

-------------------------------------------------------------------
Wed Jan  3 18:55:38 CET 2007 - sbrabec@suse.cz

- Spec file cleanup.

-------------------------------------------------------------------
Wed Jan  3 18:55:03 CET 2007 - maw@suse.de

- Move to /usr.

-------------------------------------------------------------------
Mon Dec 11 13:37:16 CET 2006 - sbrabec@suse.cz

- Define correct %mandir.

-------------------------------------------------------------------
Mon Dec  4 21:56:46 CET 2006 - jhargadon@suse.de

- removed unneeded files (#225778) 

-------------------------------------------------------------------
Thu Nov  9 21:56:39 CET 2006 - jhargadon@suse.de

- added "intltoolize --copy --force --automake" to the specfile
  so fix a problem with translations. (219388) 

-------------------------------------------------------------------
Tue Oct 17 21:53:12 CEST 2006 - jhargadon@suse.de

- update to version 0.14.1
- new man page contributed by Martin-Eric Racine
- fix for bug #353213
- corrected build of translated user guides
- src/planner-format.c:  fix NULL pointer deref - bug #334121
- src/planner-gantt-row.c:  patch to fix segv on scrolling - bug #345517
- po/POTFILES.in:  Added missing files per bug #344793 

-------------------------------------------------------------------
Mon Sep 25 18:48:22 CEST 2006 - jhargadon@suse.de

- update to version 0.14
- po/POTFILES.in: Removed referece to planner.keys.in
- python/Makefile.am: Correct error when builddir != srcdir
- src/planner-window.c: Change planner homepage in about box to
  live.gnome.org/Planner
- Updated user guide
- Changed 'Hint' lines to 'Guide' Lines
- Shows horizontal lines on Gantt to help line up task tree with chart
- added %py_requires to the specfile to resolve bug #207924

-------------------------------------------------------------------
Tue Sep  5 01:05:07 CEST 2006 - ro@suse.de

- patch configure for e-d-s-1.8 

-------------------------------------------------------------------
Wed Aug 16 16:10:37 CEST 2006 - cthiel@suse.de

- buildrequire python-gtk-devel instead of python-gtk

-------------------------------------------------------------------
Mon Mar 13 21:38:59 CET 2006 - jpr@suse.de

- Fix build by removing an additional generated mime file

-------------------------------------------------------------------
Tue Feb 28 15:25:34 CET 2006 - sbrabec@suse.cz

- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).

-------------------------------------------------------------------
Sat Feb 18 00:45:06 CET 2006 - gekker@suse.de

- Update .desktop file for UI team

-------------------------------------------------------------------
Mon Feb 13 17:16:50 CET 2006 - vvaradhan@novell.com

- Fix to build with evolution-2.5 (aka 2.6)

-------------------------------------------------------------------
Wed Jan 25 21:32:37 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Tue Dec 20 16:38:36 CET 2005 - jpr@suse.de

- Don't look for gettext message domains that don't exist

-------------------------------------------------------------------
Mon Oct 17 13:47:24 CEST 2005 - sbrabec@suse.cz

- Fixed opt plugin triggers.

-------------------------------------------------------------------
Thu Oct  6 19:01:17 CEST 2005 - sbrabec@suse.cz

- Don't depend on evolution, use trigger for plugin (#104878).
- Fixed broken python plugin linking.

-------------------------------------------------------------------
Sat Aug 13 22:08:24 CEST 2005 - gekker@suse.de

- Fix to build with new libgda 

-------------------------------------------------------------------
Mon Aug  1 12:47:20 CEST 2005 - sbrabec@suse.cz

- Build with latest evolution (link with emiscwidgets).

-------------------------------------------------------------------
Fri Jul 29 17:18:22 CEST 2005 - sbrabec@suse.cz

- Build with kerberos-devel-packages.

-------------------------------------------------------------------
Wed Jul 13 16:28:18 CEST 2005 - sbrabec@suse.cz

- Build with current version of libgda and evolution.
- Removed unneeded static modules and .la files for modules.
- Branched devel subpackage.

-------------------------------------------------------------------
Wed Jun  8 16:07:02 CEST 2005 - ro@suse.de

- wildcard for python version 

-------------------------------------------------------------------
Tue May  3 11:47:55 CEST 2005 - pmladek@suse.cz

- added mozilla-nss mozilla-nss-devel to fix build

-------------------------------------------------------------------
Tue Apr  5 14:01:28 CEST 2005 - sbrabec@suse.cz

- Updated to version 0.13 (#71967).
- Enabled optional plugins.
- Build as user.

-------------------------------------------------------------------
Tue Mar 22 01:22:32 CET 2005 - ro@suse.de

- fix build by removing more generated mime files 

-------------------------------------------------------------------
Wed Mar 16 07:40:32 CET 2005 - clahey@suse.de

- Degeneralize menu item.

-------------------------------------------------------------------
Thu Mar 10 14:05:34 CET 2005 - ke@suse.de

- Make use of German translations coming with the 0.12.94 pre-release.
- Fix translation for the .desktop file; reported by Joachim Werner
  [#71895].

-------------------------------------------------------------------
Mon Nov  1 09:43:50 CET 2004 - mmj@suse.de

- Locale rename no to nb

-------------------------------------------------------------------
Fri Aug 27 05:22:17 CEST 2004 - clahey@suse.de

- Cache planner help and show planner in khelpcenter.

-------------------------------------------------------------------
Thu Aug 26 14:38:53 CEST 2004 - sbrabec@suse.cz

- Fixed shared mime installation according to bug #44182.

-------------------------------------------------------------------
Fri Aug 13 01:11:03 CEST 2004 - ro@suse.de

- update filelist

-------------------------------------------------------------------
Mon Aug  9 11:26:40 CEST 2004 - sagarwal@suse.de

- Upgraded the version of planner from 0.11 to 0.12. 

------------------------------------------------------------------
Mon Jun 21 11:29:16 CEST 2004 - sagarwal@suse.de

- Fixed bug #59012, file chaned src/planner-gantt-print.c

-------------------------------------------------------------------
Mon Jun 21 11:27:17 CEST 2004 - sagarwal@suse.de

- Fixed bug #59015, file changed src/planner-html-plugin.c

-------------------------------------------------------------------
Wed May 12 23:50:15 CEST 2004 - clahey@suse.de

- Switched from mrproject to planner.

-------------------------------------------------------------------
Sun Mar  7 00:44:10 CET 2004 - ro@suse.de

- move build macro before first make install

-------------------------------------------------------------------
Sat Aug 16 15:44:26 CEST 2003 - adrian@suse.de

- add Categories

-------------------------------------------------------------------
Mon Jul 14 15:00:48 CEST 2003 - sbrabec@suse.cz

- GNOME prefix change to /opt/gnome.

-------------------------------------------------------------------
Sat Jun 28 13:30:41 CEST 2003 - coolo@suse.de

- package directories
- use %find_lang

-------------------------------------------------------------------
Thu Jun  5 12:13:24 CEST 2003 - ro@suse.de

- added unpackaged files (mostly small devel stuff) to filelist 

-------------------------------------------------------------------
Mon Apr 28 09:53:23 CEST 2003 - adrian@suse.de

- add libgsf-gnome to #neededforbuild

-------------------------------------------------------------------
Wed Feb 26 09:49:09 CET 2003 - hhetter@suse.de

- fix build, really link any plugin 
- fix scrollkeeper usage, and build help docs
- updated to bugfix-only release 0.9.1

-------------------------------------------------------------------
Tue Feb 18 15:42:28 CET 2003 - adrian@suse.de

- fix build

-------------------------------------------------------------------
Mon Feb 17 23:30:33 CET 2003 - adrian@suse.de

- update to version 0.9

-------------------------------------------------------------------
Mon Feb 17 13:41:22 CET 2003 - hhetter@suse.de

- updated to stable bugfix release 0.8 (+library)
- filelist fix

-------------------------------------------------------------------
Thu Jan 16 01:38:34 CET 2003 - ro@suse.de

- use "gtk2-devel-packages,libjpeg" in neededforbuild 

-------------------------------------------------------------------
Wed Jan 15 00:17:22 CET 2003 - ro@suse.de

- added expat to neededforbuild 

-------------------------------------------------------------------
Wed Sep 25 14:25:40 CEST 2002 - sf@suse.de

- added alsa-devel to neededforbuild
- fixed some biarch-prblems in .spec to build those Archs 

-------------------------------------------------------------------
Mon Sep 23 09:28:18 CEST 2002 - hhetter@suse.de

- build with alsa support 

-------------------------------------------------------------------
Thu Aug 15 10:49:29 CEST 2002 - hhetter@suse.de

- updated to GNOME 2 port of mrproject: version 0.6 
- complete filelist rework

-------------------------------------------------------------------
Fri Jun 21 00:33:21 CEST 2002 - ro@suse.de

- use "-a -f" for automake

-------------------------------------------------------------------
Mon Jun  3 11:21:58 CEST 2002 - ro@suse.de

- use "gnome-devel-packages" in neededforbuild 

-------------------------------------------------------------------
Tue Mar  5 11:22:39 CET 2002 - hhetter@suse.de

- fixed filelist and permissions (close Bug Id#14268)
- really build with automake 1.5 
- use buildroot
- enable evolution mail component
- functionality test on i386

-------------------------------------------------------------------
Tue Dec 18 12:42:52 CET 2001 - hhetter@suse.de

- updated to version 0.5.0 
	* translation updates
	* sorting in allocation table fixed
	* improvements to calendar component

-------------------------------------------------------------------
Wed Nov 21 14:16:42 CET 2001 - ro@suse.de

- added freetype2 to neededforbuild 

-------------------------------------------------------------------
Wed Oct 24 13:32:58 CEST 2001 - hhetter@suse.de

- updated to 0.4.0
	* Network diagram component 
	* Calendar component 
	* Progress tracking 
	* Draw fixes in Gantt component 
	* New icons 
	* Better navigation in Gantt (right-click-menu) 
	* Simple man pages 
	* Various bug fixes
- prefixed to /opt/gnome 
- enabled python module
- functionality test on i386 

-------------------------------------------------------------------
Thu Oct 11 14:11:02 CEST 2001 - sf@suse.de

- added missing parameters in function call to compile with gcc > 2.95.x  

-------------------------------------------------------------------
Fri Jul 5 11:24:18 CEST 2001 - kkaempf@suse.de

- Initial version 0.3.2
openSUSE Build Service is sponsored by